Package com.independentsoft.office.word.mailMerge

# Class MailMergeSettings

java.lang.Object
com.independentsoft.office.word.mailMerge.MailMergeSettings

public class MailMergeSettings extends Object
The Class MailMergeSettings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MailMergeSettings()`
  Instantiates a new mail merge settings.
  `MailMergeSettings​(InternalXMLStreamReader reader)`
  Instantiates a new mail merge settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MailMergeSettings`
  `clone()`
  `long`
  `getActiveRecord()`
  Gets the active record.
  `String`
  `getAddressFieldName()`
  Gets the address field name.
  `long`
  `getCheckErrors()`
  Gets the check errors.
  `String`
  `getDataSourceConnectionString()`
  Gets the data source connection string.
  `String`
  `getDataSourceFilePath()`
  Gets the data source file path.
  `String`
  `getDataSourceType()`
  Gets the data source type.
  `String`
  `getDestination()`
  Gets the destination.
  `String`
  `getHeaderSource()`
  Gets the header source.
  `ExtendedBoolean`
  `getLinkToQuery()`
  Gets the link to query.
  `ExtendedBoolean`
  `getMailAsAttachment()`
  Gets the mail as attachment.
  `String`
  `getMailSubject()`
  Gets the mail subject.
  `MailMergeDocumentType`
  `getMainDocumentType()`
  Gets the main document type.
  `OfficeDataSourceObjectSettings`
  `getOfficeDataSourceObjectSettings()`
  Gets the office data source object settings.
  `String`
  `getQuery()`
  Gets the query.
  `ExtendedBoolean`
  `getRemoveBlankLines()`
  Gets the removes the blank lines.
  `ExtendedBoolean`
  `getViewMergedData()`
  Gets the view merged data.
  `static boolean`
  `isEmpty​(String value)`
  Checks if is empty.
  `void`
  `setActiveRecord​(long activeRecord)`
  Sets the active record.
  `void`
  `setAddressFieldName​(String addressFieldName)`
  Sets the address field name.
  `void`
  `setCheckErrors​(long checkErrors)`
  Sets the check errors.
  `void`
  `setDataSourceConnectionString​(String dataSourceConnectionString)`
  Sets the data source connection string.
  `void`
  `setDataSourceFilePath​(String dataSourceFilePath)`
  Sets the data source file path.
  `void`
  `setDataSourceType​(String dataSourceType)`
  Sets the data source type.
  `void`
  `setDestination​(String destination)`
  Sets the destination.
  `void`
  `setHeaderSource​(String headerSource)`
  Sets the header source.
  `void`
  `setLinkToQuery​(ExtendedBoolean linkToQuery)`
  Sets the link to query.
  `void`
  `setMailAsAttachment​(ExtendedBoolean mailAsAttachment)`
  Sets the mail as attachment.
  `void`
  `setMailSubject​(String mailSubject)`
  Sets the mail subject.
  `void`
  `setMainDocumentType​(MailMergeDocumentType mainDocumentType)`
  Sets the main document type.
  `void`
  `setQuery​(String query)`
  Sets the query.
  `void`
  `setRemoveBlankLines​(ExtendedBoolean removeBlankLines)`
  Sets the removes the blank lines.
  `void`
  `setViewMergedData​(ExtendedBoolean viewMergedData)`
  Sets the view merged data.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MailMergeSettings

    public MailMergeSettings()
    Instantiates a new mail merge settings.

  - ### MailMergeSettings

    public MailMergeSettings​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new mail merge settings.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public MailMergeSettings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public static boolean isEmpty​(String value)
    Checks if is empty.
    Parameters:
      `value` - the value
    Returns:
      true, if is empty

  - ### getActiveRecord

    public long getActiveRecord()
    Gets the active record.
    Returns:
      the active record

  - ### setActiveRecord

    public void setActiveRecord​(long activeRecord)
    Sets the active record.
    Parameters:
      `activeRecord` - the new active record

  - ### getAddressFieldName

    public String getAddressFieldName()
    Gets the address field name.
    Returns:
      the address field name

  - ### setAddressFieldName

    public void setAddressFieldName​(String addressFieldName)
    Sets the address field name.
    Parameters:
      `addressFieldName` - the new address field name

  - ### getCheckErrors

    public long getCheckErrors()
    Gets the check errors.
    Returns:
      the check errors

  - ### setCheckErrors

    public void setCheckErrors​(long checkErrors)
    Sets the check errors.
    Parameters:
      `checkErrors` - the new check errors

  - ### getDataSourceConnectionString

    public String getDataSourceConnectionString()
    Gets the data source connection string.
    Returns:
      the data source connection string

  - ### setDataSourceConnectionString

    public void setDataSourceConnectionString​(String dataSourceConnectionString)
    Sets the data source connection string.
    Parameters:
      `dataSourceConnectionString` - the new data source connection string

  - ### getDataSourceFilePath

    public String getDataSourceFilePath()
    Gets the data source file path.
    Returns:
      the data source file path

  - ### setDataSourceFilePath

    public void setDataSourceFilePath​(String dataSourceFilePath)
    Sets the data source file path.
    Parameters:
      `dataSourceFilePath` - the new data source file path

  - ### getDataSourceType

    public String getDataSourceType()
    Gets the data source type.
    Returns:
      the data source type

  - ### setDataSourceType

    public void setDataSourceType​(String dataSourceType)
    Sets the data source type.
    Parameters:
      `dataSourceType` - the new data source type

  - ### getDestination

    public String getDestination()
    Gets the destination.
    Returns:
      the destination

  - ### setDestination

    public void setDestination​(String destination)
    Sets the destination.
    Parameters:
      `destination` - the new destination

  - ### getRemoveBlankLines

    public ExtendedBoolean getRemoveBlankLines()
    Gets the removes the blank lines.
    Returns:
      the removes the blank lines

  - ### setRemoveBlankLines

    public void setRemoveBlankLines​(ExtendedBoolean removeBlankLines)
    Sets the removes the blank lines.
    Parameters:
      `removeBlankLines` - the new removes the blank lines

  - ### getHeaderSource

    public String getHeaderSource()
    Gets the header source.
    Returns:
      the header source

  - ### setHeaderSource

    public void setHeaderSource​(String headerSource)
    Sets the header source.
    Parameters:
      `headerSource` - the new header source

  - ### getLinkToQuery

    public ExtendedBoolean getLinkToQuery()
    Gets the link to query.
    Returns:
      the link to query

  - ### setLinkToQuery

    public void setLinkToQuery​(ExtendedBoolean linkToQuery)
    Sets the link to query.
    Parameters:
      `linkToQuery` - the new link to query

  - ### getMailAsAttachment

    public ExtendedBoolean getMailAsAttachment()
    Gets the mail as attachment.
    Returns:
      the mail as attachment

  - ### setMailAsAttachment

    public void setMailAsAttachment​(ExtendedBoolean mailAsAttachment)
    Sets the mail as attachment.
    Parameters:
      `mailAsAttachment` - the new mail as attachment

  - ### getMailSubject

    public String getMailSubject()
    Gets the mail subject.
    Returns:
      the mail subject

  - ### setMailSubject

    public void setMailSubject​(String mailSubject)
    Sets the mail subject.
    Parameters:
      `mailSubject` - the new mail subject

  - ### getMainDocumentType

    public MailMergeDocumentType getMainDocumentType()
    Gets the main document type.
    Returns:
      the main document type

  - ### setMainDocumentType

    public void setMainDocumentType​(MailMergeDocumentType mainDocumentType)
    Sets the main document type.
    Parameters:
      `mainDocumentType` - the new main document type

  - ### getOfficeDataSourceObjectSettings

    public OfficeDataSourceObjectSettings getOfficeDataSourceObjectSettings()
    Gets the office data source object settings.
    Returns:
      the office data source object settings

  - ### getQuery

    public String getQuery()
    Gets the query.
    Returns:
      the query

  - ### setQuery

    public void setQuery​(String query)
    Sets the query.
    Parameters:
      `query` - the new query

  - ### getViewMergedData

    public ExtendedBoolean getViewMergedData()
    Gets the view merged data.
    Returns:
      the view merged data

  - ### setViewMergedData

    public void setViewMergedData​(ExtendedBoolean viewMergedData)
    Sets the view merged data.
    Parameters:
      `viewMergedData` - the new view merged data